﻿Imports System.Collections.ObjectModel
Imports IdeaBlade.EntityModel
Imports IdeaBlade.Core
Namespace SimpleSteps
    Public Class MainPageViewModel
        Public Sub New()
            AsyncMainPageViewModel()
        End Sub

        Async Sub AsyncMainPageViewModel()
            Employees = New ObservableCollection(Of Employee)()
            Dim mgr = New NorthwindIBEntities()
            Dim query = mgr.Employees
            Dim results = Await query.ExecuteAsync()
            results.ForEach(Sub(emp) Employees.Add(emp))
        End Sub

        Public Property Employees() As ObservableCollection(Of Employee)
            Get
                Return m_Employees
            End Get
            Private Set(ByVal value As ObservableCollection(Of Employee))
                m_Employees = value
            End Set
        End Property
        Private m_Employees As ObservableCollection(Of Employee)
    End Class
End Namespace